F4FinData4AI

Prices

GET
/prices

Authorization

apiKeyAuth
X-API-Key<token>

In: header

Query Parameters

ticker*string

股票代码,如 AAPL

start_date?string
Formatdate
end_date?string
Formatdate
interval?string
Default"1d"

Value in

  • "1m"
  • "5m"
  • "15m"
  • "1h"
  • "1d"
  • "1wk"
  • "1mo"
cursor?string

上一页返回的 next_cursor

limit?integer
Range1 <= value <= 200
Default50

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/prices?ticker=string"
{  "items": [    {      "date": "2026-08-01",      "open": 224.13,      "high": 227.4,      "low": 223.02,      "close": 226.88,      "volume": 48210000    },    {      "date": "2026-08-04",      "open": 226.5,      "high": 229.11,      "low": 225.9,      "close": 228.74,      "volume": 41903000    }  ],  "next_cursor": null}